Page MenuHomePhabricator

[DO NOT USE] PDF related bugs and enhancements (tracking)
Closed, InvalidPublic

Description

This task is archived, see T102513#3765340 for replacements.

Tracking bug not only for PdfHandler but for all PDF related tickets in
general except pediapress extention


Version: unspecified
Severity: normal

Details

Reference
bz41037

Related Objects

StatusAssignedTask
InvalidNone
OpenNone
ResolvedNone
ResolvedNone
ResolvedDeskana
ResolvedNone
OpenNone
OpenNone
DeclinedNone
ResolvedNone
OpenNone
ResolvedNone
ResolvedAklapper
ResolvedNone
ResolvedMcZusatz
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
OpenNone
DuplicateNone
ResolvedAklapper
DeclinedNone
Invalidovasileva
Declined GWicke
DeclinedMarkTraceur
DeclinedNone
ResolvedNone
DeclinedNone
DeclinedNone
Resolvedmatmarex
ResolvedNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:49 AM
bzimport set Reference to bz41037.
bzimport added a subscriber: Unknown Object (MLST).
Yamaha5 created this task.Oct 15 2012, 1:41 PM
Reedy added a comment.Oct 15 2012, 1:44 PM

2 bugs named identically is not a good idea

(In reply to comment #1)

2 bugs named identically is not a good idea

I changed bug 31552 's name

reza1615: Could you elaborate what exactly the difference between these two tracker bugs is? Still a bit unclear to me.

Bug 41037 is general tracking bug and it covers PdfHandler - PDf OCR ,...except Extension:Collection but Bug 31552 is only covers issues that are related to Extension:Collection http://www.mediawiki.org/wiki/Extension:Collection
I separated them because many of bugs that are related to wikipress was messed with PdfHandler and PDF OCR

Ah, mentioned above. Might not make sense anymore in times of https://www.mediawiki.org/wiki/Offline_content_generator

Danny_B updated the task description. (Show Details)Feb 13 2016, 3:24 PM
Danny_B set Security to None.

Nowadays there are already numerous PDF related projects related to PDFs: Deprecated OCG-PDFRenderer, deprecated OCG-PDF-renderer, Collection, MediaWiki-extensions-PdfBook, the browser-based Electron-PDFs service, the 'new' renderer Proton. There is MediaWiki-extensions-PdfHandler (for displaying), MediaWiki-File-management (covering the thumbnail creation part in MediaWiki), and Wikimedia-Media-storage superseded by media-storage for file storage issues on Wikimedia wikis.

I do not see any sense to keep this Bugzilla-days tracking task open. Hence I propose to decline T43037 and T102513. People can watch/query the aforementioned projects, and/or people can query for 'PDF'. Plus the current list of subtasks in T43037 is very incomplete so T43037 does not serve its purpose anymore anyway.

Aklapper closed this task as Invalid.Dec 6 2017, 3:20 PM

Declining this task as per last comment.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptDec 6 2017, 3:20 PM
Liuxinyu970226 renamed this task from PDF related bugs and enhancements (tracking) to [DO NOT USE] PDF related bugs and enhancements (tracking).May 6 2018, 11:03 AM
Liuxinyu970226 updated the task description. (Show Details)